/*
 * commons.h - Part of amprd version 1.0
 *
 * Author: Marius Petrescu, YO2LOJ, <marius@yo2loj.ro>
 *
 */

#ifndef AMPRD_COMMONS_H
#define AMPR_COMMONS_H

#include <stdint.h>

#define FALSE	0
#define TRUE	(!FALSE)

#define RTFILE_PATH		"/var/lib/amprd"
#define CONF_FILE		"/etc/amprd.conf"

#define ROUTE_EXPIRE_TIME	900
#define GENERAL_AMPR_GW		(inet_addr("169.228.66.251"))

#define RTCACHE_SIZE		32
#define RTCACHE_EXPTIME		60
#define RTPROT_AMPR		44
#define MYIPSIZE		16

//#define NL_DEBUG

extern int debug;
extern int verbose;

extern int *updated;
extern char *passwd;

extern uint32_t general_ampr_gw;

#endif
