/*
 * route.h - part of amprd version 1.0
 *
 * Author: Marius Petrescu, YO2LOJ
 *
 */

#ifndef AMPRD_ROUTE_H
#define AMPRD_ROUTE_H

#include <stdint.h>

typedef enum
{
    ROUTE_ADD,
    ROUTE_DEL,
    ROUTE_GET,
} rt_actions;


uint32_t route_func(uint16_t tunid, rt_actions action, uint32_t address, uint32_t netmask);

void route_update(uint16_t tunid, uint32_t address, uint32_t netmask);

void route_set_all(void);

#endif
